Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1411510 - Review Request: python-clyent - Command line client library for posix and windows
Summary: Review Request: python-clyent - Command line client library for posix and win...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 21:17 UTC by Orion Poplawski
Modified: 2017-04-01 17:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-22 19:21:13 UTC
Type: Bug
jujens: fedora-review+


Attachments (Terms of Use)

Description Orion Poplawski 2017-01-09 21:17:14 UTC
Spec URL: https://www.cora.nwra.com/~orion/fedora/python-clyent.spec
SRPM URL: https://www.cora.nwra.com/~orion/fedora/python-clyent-1.2.2-1.fc26.src.rpm
Description:
Clyent is a python command line utiliy library for binstar, binstar-build and
chalmers.

Fedora Account System Username: orion

https://koji.fedoraproject.org/koji/taskinfo?taskID=17225360

Comment 1 Julien Enselme 2017-03-13 15:15:50 UTC
Almost good:
- Can you add a comment to the issue asking for a license file in your SPEC (https://github.com/Anaconda-Platform/clyent/issues/11)?
- There is a typo in the description: utiliy -> utility


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[X]: License field in the package spec file matches the actual license.
     Note: Cannot run licensecheck: Command 'licensecheck -r /var/lib/mock
     /fedora-rawhide-x86_64/root/builddir/build/BUILD/clyent-1.2.2'
     returned non-zero exit status 255
[-]: License file installed when any subpackage combination is installed.
[X]: Package must own all directories that it creates.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-clyent , python3-clyent
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-clyent-1.2.2-1.fc27.noarch.rpm
          python3-clyent-1.2.2-1.fc27.noarch.rpm
          python-clyent-1.2.2-1.fc27.src.rpm
python2-clyent.noarch: W: spelling-error Summary(en_US) posix -> posit
python2-clyent.noarch: W: spelling-error %description -l en_US utiliy -> utility, utilize
python2-clyent.noarch: W: spelling-error %description -l en_US binstar -> bin star, bin-star, bins tar
python2-clyent.noarch: W: spelling-error %description -l en_US chalmers -> charmers, challengers
python3-clyent.noarch: W: spelling-error Summary(en_US) posix -> posit
python3-clyent.noarch: W: spelling-error %description -l en_US utiliy -> utility, utilize
python3-clyent.noarch: W: spelling-error %description -l en_US binstar -> bin star, bin-star, bins tar
python3-clyent.noarch: W: spelling-error %description -l en_US chalmers -> charmers, challengers
python-clyent.src: W: spelling-error Summary(en_US) posix -> posit
python-clyent.src: W: spelling-error %description -l en_US utiliy -> utility, utilize
python-clyent.src: W: spelling-error %description -l en_US binstar -> bin star, bin-star, bins tar
python-clyent.src: W: spelling-error %description -l en_US chalmers -> charmers, challengers
3 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-clyent.noarch: W: spelling-error Summary(en_US) posix -> posit
python3-clyent.noarch: W: spelling-error %description -l en_US utiliy -> utility, utilize
python3-clyent.noarch: W: spelling-error %description -l en_US binstar -> bin star, bin-star, bins tar
python3-clyent.noarch: W: spelling-error %description -l en_US chalmers -> charmers, challengers
python2-clyent.noarch: W: spelling-error Summary(en_US) posix -> posit
python2-clyent.noarch: W: spelling-error %description -l en_US utiliy -> utility, utilize
python2-clyent.noarch: W: spelling-error %description -l en_US binstar -> bin star, bin-star, bins tar
python2-clyent.noarch: W: spelling-error %description -l en_US chalmers -> charmers, challengers
2 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
python3-clyent (rpmlib, GLIBC filtered):
    python(abi)

python2-clyent (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-clyent:
    python3-clyent
    python3.6dist(clyent)
    python3dist(clyent)

python2-clyent:
    python-clyent
    python2-clyent
    python2.7dist(clyent)
    python2dist(clyent)



Source checksums
----------------
https://github.com/Anaconda-Platform/clyent/archive/1.2.2/python-clyent-1.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : 316a82a1d869751e3856fb307bf90a2885069232660f1368a9c9a5057109aa00
  CHECKSUM(SHA256) upstream package : 316a82a1d869751e3856fb307bf90a2885069232660f1368a9c9a5057109aa00


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1411510
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Orion Poplawski 2017-03-13 19:50:35 UTC
Thanks for the review.

Spec URL: https://www.cora.nwra.com/~orion/fedora/python-clyent.spec
SRPM URL: https://www.cora.nwra.com/~orion/fedora/python-clyent-1.2.2-2.fc27.src.rpm

* Mon Mar 13 2017 Orion Poplawski <orion@cora.nwra.com> - 1.2.2-2
- Add comment about license file request
- Fix typo

Comment 3 Julien Enselme 2017-03-13 20:34:50 UTC
Looks good to me. Approved!

Comment 4 Gwyn Ciesla 2017-03-13 21:42:58 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-clyent

Comment 5 Fedora Update System 2017-03-13 22:50:10 UTC
python-clyent-1.2.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e059a70e3f

Comment 6 Fedora Update System 2017-03-13 22:50:18 UTC
python-clyent-1.2.2-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7fd490731d

Comment 7 Fedora Update System 2017-03-13 22:50:22 UTC
python-clyent-1.2.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-56f28322fc

Comment 8 Fedora Update System 2017-03-13 22:50:27 UTC
python-clyent-1.2.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-bdc1b716d6

Comment 9 Fedora Update System 2017-03-14 03:22:40 UTC
python-clyent-1.2.2-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7fd490731d

Comment 10 Fedora Update System 2017-03-14 18:19:39 UTC
python-clyent-1.2.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e059a70e3f

Comment 11 Fedora Update System 2017-03-14 18:22:05 UTC
python-clyent-1.2.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-56f28322fc

Comment 12 Fedora Update System 2017-03-14 23:18:56 UTC
python-clyent-1.2.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-bdc1b716d6

Comment 13 Fedora Update System 2017-03-22 19:21:13 UTC
python-clyent-1.2.2-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-03-23 01:20:19 UTC
python-clyent-1.2.2-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-03-29 20:51:19 UTC
python-clyent-1.2.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-04-01 17:01:56 UTC
python-clyent-1.2.2-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.